curl --request PUT \
--url https://api.lilt.com/v2/create/{contentId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "<string>",
"template": "<string>",
"templateParams": {
"language": "<string>",
"contentLength": 123,
"memoryId": 123,
"sections": [
"<string>"
],
"summary": "<string>"
},
"name": "<string>",
"id": 123,
"preferences": {
"tone": "<string>",
"styleguide": "<string>"
}
}
'import requests
url = "https://api.lilt.com/v2/create/{contentId}"
payload = {
"language": "<string>",
"template": "<string>",
"templateParams": {
"language": "<string>",
"contentLength": 123,
"memoryId": 123,
"sections": ["<string>"],
"summary": "<string>"
},
"name": "<string>",
"id": 123,
"preferences": {
"tone": "<string>",
"styleguide": "<string>"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: '<string>',
template: '<string>',
templateParams: {
language: '<string>',
contentLength: 123,
memoryId: 123,
sections: ['<string>'],
summary: '<string>'
},
name: '<string>',
id: 123,
preferences: {tone: '<string>', styleguide: '<string>'}
})
};
fetch('https://api.lilt.com/v2/create/{contentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"language": "<string>",
"template": "<string>",
"templateParams": {
"language": "<string>",
"contentLength": 123,
"memoryId": 123,
"sections": [
"<string>"
],
"summary": "<string>"
},
"name": "<string>",
"id": 123,
"preferences": {
"tone": "<string>",
"styleguide": "<string>"
}
}"<string>"{
"message": "Internal server error."
}Update Lilt Create content
Update a piece of Lilt Create content.
Example CURL:
curl -X PUT 'https://api.lilt.com/v2/create/1234?key=API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{"language":"de-DE"}'
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The content ID.
Body
Content Parameters for LiltCreate.
The language of the content.
The template of the content.
The template parameters of the content.
Show child attributes
Show child attributes
A name for the request content.
A unique identifier for the generated content.
The preferences of the content.
Show child attributes
Show child attributes
Response
The updated Lilt Create content.
Content Parameters for LiltCreate.
The language of the content.
The template of the content.
The template parameters of the content.
Show child attributes
Show child attributes
A name for the request content.
A unique identifier for the generated content.
The preferences of the content.
Show child attributes
Show child attributes
Was this page helpful?

